<?
include ("../conectar.php"); 
include ("../funciones/fechas.php"); 

        session_start();
		if($_SESSION['tipo_usu']=='' ){

		header('location:../index.php');
		
		}else if($_SESSION['tipo_usu']=='a'  or $_SESSION['tipo_usu']=='c' or $_SESSION['tipo_usu']=='s'){

        $usuario=($_SESSION['username']);
		
			
		 }else{


			header('location:acceso_denegado.php');

		}

$codfactura=$_GET["numfac"];
$cadena_busqueda=$_GET["cadena_busqueda"];


$query="SELECT * FROM facturas_contado WHERE codfactura='$codfactura'";
$rs_query=mysql_query($query);
$cdgcli=mysql_result($rs_query,0,"cdgcli");
$fecha=mysql_result($rs_query,0,"fecha");
$dsccli=mysql_result($rs_query,0,"dsccli");
//$cob_iv=mysql_result($rs_query,0,"cob_iv");
$vehpla=mysql_result($rs_query,0,"vehpla");

?>


<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">



				
			function aceptar()
	
			{
			
			if (confirm(" Desea realizar el pago ? "))
				var mensaje="";
				if (document.getElementById("pagacon").value=="") mensaje+="  - Monto Pagado\n";
				//if (document.getElementById("vuelto").value=="") mensaje+="  - Monto Pagado\n";
				
				if (mensaje!="") {
					alert("Atencion, falta completar los siguientes campos:\n\n"+mensaje);
				} else {
					document.getElementById("formulario").submit();
				}
			}
		
		function Calcular_Vuelto()

			{
				var mensaje="";
				if (parseFloat(document.getElementById("preciototal").value) <= parseFloat ( document.getElementById("pagacon").value )){ 
	  				var preciototal=document.getElementById("preciototal").value;
					var pagacon=document.getElementById("pagacon").value;
	                var vuelto =  pagacon - preciototal  ;
	 
			         document.getElementById("vuelto").value=vuelto;
			
				} else {
				   
					alert("Atencion, El monto pagado no puede ser menor al Abono:\n\n"+document.getElementById("preciototal").value);

				var vuelto = document.getElementById("vuelto");   // Recibe la variable Vuelto
				var pagacon = document.getElementById("pagacon");   // Recibe la variable Pagacon

                pagacon.value = "";     // Limpia la varibale pagacon
				vuelto.value = "";      // Limpia la varibale vuelto

                pagacon.focus();        // devuelve el enfoque a la variable pagacon
			}
			}
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
		
		function imprimir(codfactura) {
			window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);
			window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);
		}
		
	///////////////////////////////////////  FUNCION SIGUIENTE CAMPO ///////////////////////////////////////


//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "formulario"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
		
	//////////////////////////////   Funcion Decimales     ////////////////////////////
		
   function redondea(sVal, nDec){ 
    var n = parseFloat(sVal); 
    var s = "0.00"; 
    if (!isNaN(n)){ 
     n = Math.round(n * Math.pow(10, nDec)) / Math.pow(10, nDec); 
     s = String(n); 
     s += (s.indexOf(".") == -1? ".": "") + String(Math.pow(10, nDec)).substr(1); 
     s = s.substr(0, s.indexOf(".") + nDec + 1); 
    } 
    return s; 
   } 

   function ponDecimales(nDec){ 
    document.formulario.pagacon.value = redondea(document.formulario.pagacon.value, nDec); 
	document.formulario.vuelto.value = redondea(document.formulario.vuelto.value, nDec); 
	
   } 



////////////////////////////////////////////////////////
		
		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #00FF33}
-->
        </style>
</head>
	<body>
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
               COBRAR FACTURA </div>
				<form id="formulario" name="formulario" method="post" action="../Factura/guardar_proforma.php">
				
			     <table class="fuente8" width="98%" cellspacing=0 cellpadding=3 border=0>
					   <? 
					
					
		 if ($cdgcli == 9999) {
					        
		} else {

		 $sel_cliente="SELECT * FROM web_0301 WHERE cdgcli=$cdgcli"; 
			$rs_cliente=mysql_query($sel_cliente);
              $dsccli = mysql_result($rs_cliente,0,"dsccli");
			  $cedcli = mysql_result($rs_cliente,0,"cedcli");
			  $dircli = mysql_result($rs_cliente,0,"dircli");
					 
					 
					  } 
					   
					 ?>
					   <tr>
					     <td>&nbsp;</td>
					     <td>&nbsp;</td>
			             <td>&nbsp;</td>
			             <td>&nbsp;</td>
				         <td>&nbsp;</td>
				         <td>&nbsp;</td>
				   </tr>
					   <tr>
					     <td>&nbsp;</td>
					     <td>&nbsp;</td>
				         <td>&nbsp;</td>
				         <td>&nbsp;</td>
				         <td>&nbsp;</td>
				         <td>&nbsp;</td>
				     </tr>
					   <tr>
						   <td width="11%" height="26">Cliente</td>
						   <td width="50%"><?php echo $dsccli;?></td>
							<td width="13%">N. Factura  </td>
							<td width="22%"><?php echo $codfactura?></td>
				            <td width="1%">&nbsp;</td>
				            <td width="3%">&nbsp;</td>
					   </tr>
					   <tr>
						   <td width="11%"><p>Cédula</p></td>
					       <td><?php echo $cedcli;?></td>
					       <td>Fecha</td>
					       <td><?php echo $fecha; ?></td>
				           <td>&nbsp;</td>
				           <td>&nbsp;</td>
					   </tr>
					   <tr>
					     <td>Direcci&oacute;n</td>
					     <td><?php echo $dircli; ?></td>
				         <td>&nbsp;</td>
				         <td></td>
				         <td>&nbsp;</td>
				         <td>&nbsp;</td>
				     </tr>
			         <br>
				     <tr>
					     <td></td>
					     <td colspan="5"></td>
				     </tr>
			     </table>
               </div>
					 <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							<td width="8%">LINEA</td>
							<td width="10%">CODIGO</td>
							<td width="42%">DESCRIPCION</td>
							<td width="10%">CANTIDAD</td>
							<td width="10%">PRECIO</td>
							<td width="10%">DCTO %</td>
							<td width="10%">MONTO</td>
						</tr>
					</table>
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
					  <? $sel_lineas="SELECT factulinea_contado.*,web_1001.* FROM factulinea_contado,web_1001 WHERE factulinea_contado.codfactura='$codfactura' AND factulinea_contado.codigo=web_1001.cdgbar ORDER BY factulinea_contado.numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
						for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
							$numlinea=mysql_result($rs_lineas,$i,"numlinea");
							//$codfamilia=mysql_result($rs_lineas,$i,"codfamilia");
							//$nombrefamilia=mysql_result($rs_lineas,$i,"nombrefamilia");
							//$codarticulo=mysql_result($rs_lineas,$i,"codarticulo");
							$cdgart=mysql_result($rs_lineas,$i,"cdgart");
							$dscart=mysql_result($rs_lineas,$i,"dscart");
							$cantidad=mysql_result($rs_lineas,$i,"cantidad");
							$preivi=mysql_result($rs_lineas,$i,"preivi");
							$importe=mysql_result($rs_lineas,$i,"importe");
							$impuesto=mysql_result($rs_lineas,$i,"impuesto");
								$mondes=mysql_result($rs_lineas,$i,"mondes");
								
							$descuento=mysql_result($rs_lineas,$i,"dcto");
							if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
									<tr class="<? echo $fondolinea?>">
										<td width="8%"><? echo $i+1?></td>
										<td width="10%"><? echo $cdgart?></td>
										<td width="42%"><? echo $dscart?></td>
										<td width="10%"><? echo $cantidad?></td>
										<td width="10%" ><? echo $preivi?></td>
										<td width="10%" ><? echo $descuento?></td>
										<td width="10%" ><? echo $importe?></td>
									</tr>
									<? $baseimponible=$baseimponible+$importe; 
									 $baseimpuestos=$baseimpuestos + $impuesto;
									  $basedescuento=$basedescuento + $mondes;
									  ?>
					<? } ?>
					</table>
			
			  <?
				$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
				//$preciototal=number_format($preciototal,2); ?>
			   <div id="ztotalesawR" align="right">
					<p>&nbsp;</p>
					<table width="50%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
						<tr>
						  <td width="85">Paga </td>
							<td width="130" height="28"><input id="pagacon" type="text"  name="pagacon" value="" class="cajaGrande" onBlur="Calcular_Vuelto()" onChange="Calcular_Vuelto()"  onFocus="ponDecimales(2); siguienteCampo ='vuelto';"/></td>
							<td width="128">SubTotal</td>
							<td width="1">&nbsp;</td>
							<td width="94"  class="cajaTotales" ><?php echo number_format($baseimponible,2);?> <? echo $simbolomoneda ?></td>
					<input id="preciototal"  name="preciototal" type="hidden" value="<? echo $preciototal?>" /></td>
						</tr>
						<tr>
						  <td>Vuelto</td>
						  <td><input   id="vuelto" type="text"  name="vuelto" value="" readonly=""  class="cajaGrande"
							onFocus="ponDecimales(2); siguienteCampo ='pagacon';" /></td>
						  <td>Descuento</td>
						  <td>&nbsp;</td>
						  <td  class="cajaTotales" ><?php echo number_format($basedescuento,2);?> <? echo $simbolomoneda ?></td>
					  </tr>
						<tr>
						  <td width="85">&nbsp;</td>
							<td width="130">&nbsp;</td>
										  <?
				//$preciototal=$baseimponible+$baseimpuestos;
				$preciototal=number_format($preciototal,2); ?>
				        
			  <input id="accion" name="accion" value="insertar" type="hidden">
			    <input id="cdgtipven" name="cdgtipven" value="1" type="hidden">	
					    <input id="codfacturacontado" name="codfacturacontado" value="<?php echo $codfactura?>" type="hidden">	
							<td width="128">IVA</td>
							<td width="1">&nbsp;</td>
							<td width="94"  class="cajaTotales" ><?php echo number_format($baseimpuestos,2);?> <? echo $simbolomoneda ?></td>
						</tr>
						<tr>
						  <td width="85">&nbsp;</td>
							<td width="130">&nbsp;</td>
							<td width="128">Total</td>
							<td width="1">&nbsp;</td>
							<td width="94"  class="cajaTotales" ><?php echo $preciototal?> <? echo $simbolomoneda ?></td>
						</tr>
					</table>
			  </div>
				<div id="botonBusquedaAWR">					<div align="center">
				  <p>&nbsp;</p>
				  <p class="Estilo1">&nbsp;</p>
				  <p>
				 	 
				 <img src="../img/Symbol-Check_48x48-32.png" width="48" height="48" border="0" align="right" class="aCentro" onClick=" aceptar()" onMouseOver="style.cursor=cursor"></p>
			  </form>
				</div>
				

			  </div>
		  </div>
		</div>
	</body>
</html>



